# -*- coding: utf-8 -*-
# Generated by Django 1.9.9 on 2016-08-16 18:07
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Attribute',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('slug', models.SlugField(unique=True, verbose_name='slug')),
                ('name', models.CharField(db_index=True, max_length=100, verbose_name='name')),
                ('type', models.PositiveSmallIntegerField(choices=[(1, 'text'), (2, 'boolean'), (3, 'integer'), (4, 'decimal'), (5, 'date'), (6, 'time'), (7, 'tag')], verbose_name='type')),
            ],
        ),
        migrations.CreateModel(
            name='Choice',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('value', models.CharField(blank=True, db_index=True, max_length=100, verbose_name='value')),
                ('name', models.CharField(blank=True, db_index=True, max_length=100, verbose_name='name')),
                ('description', models.TextField(blank=True, verbose_name='description')),
                ('sort_order', models.IntegerField(db_index=True, default=0, verbose_name='sort order')),
                ('attribute', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='attrs.Attribute')),
            ],
            options={
                'ordering': ['attribute_id', 'sort_order', 'value', 'pk'],
            },
        ),
        migrations.CreateModel(
            name='Unit',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(db_index=True, max_length=100, verbose_name='name')),
                ('symbol', models.CharField(max_length=10, verbose_name='symbol')),
            ],
        ),
        migrations.AddField(
            model_name='attribute',
            name='unit',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='attrs.Unit', verbose_name='unit'),
        ),
    ]
